extends Path2D

onready var follow = get_node("follow")
export var time_for_loop = 5

var tween = null

func _ready():
	tween = Tween.new()
	add_child(tween)
	tween.interpolate_property(follow, "unit_offset", 0, 1, time_for_loop, tween.TRANS_LINEAR, tween.EASE_IN_OUT)
	tween.set_repeat(true)
	tween.start()


func _on_Area2D_body_entered(body):
	if body.is_in_group("player"):
		body.queue_free()
