extends Area2D

onready var player_path = get_node("../Player")
var buttons = {}
export(PackedScene) var level_path


func _ready():
	player_path.connect("f_pressed", self, "check_for_interactions")
	for i in self.get_children():
		if i.is_in_group("buttons"):
			buttons[i] = false


func check_for_interactions():
	for button in buttons:
		for body in button.get_overlapping_bodies():
			if body.is_in_group("player"):
				buttons[button] = true
	
	if buttons.empty():
		for body in self.get_overlapping_bodies():
			if body.is_in_group("player"):
				print("Switch to next level")
	
	else:
		for body in self.get_overlapping_bodies():
			if body.is_in_group("player"):
				if not buttons.values().has(false):
					print("Switch to next level")
